[Overview][Types][Procedures and functions][Index] | Reference for unit 'GraphMath' (#lcl)

# LineEndPoint

LineEndPoint - get the End-Point of a line of any given Length at any given angle with any given Start-Point

## Declaration

Source position: graphmath.pp line 78

`function LineEndPoint(`
`StartPoint: TPoint;`
`Angle: Extended;`
`Length: Extended`
`):TPoint;`

## Description

Method: LineEndPoint

    Params:   StartPoint, Angle, Length
      Returns:  TPoint

      Use LineEndPoint to get the End-Point of a line of any given Length at
      any given angle with any given Start-Point. It is primarily for use in
      other routines such as RadialPoint. The angle is in 1/16th of a degree.
      For example, a full circle equals 5760 (16*360).  Zero degrees is at the
      3 o'clock position.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.